<div class="col-lg-12 animated fadeInRight list-payment-extra">
  <div class="input-group">
  </div>
  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
      <div>
        <div class="ibox float-e-margins">
          <div class="ibox-title">
            <div class="row">
              <div class="col-sm-12">
                <h3>
                  <strong>Dashboard User Logs</strong>
                </h3>
              </div>
            </div>
            <div class="ibox-content">
              <div class="row">
                <div class="col-xs-3 custom-position">
                  <mat-select class="form-control" [(ngModel)]="model" placeholder="Activity Models"
                    (change)="setActivitySubList($event.value)">
                    <mat-option *ngFor="let model of activityKeyList;" [value]="model">{{model}}</mat-option>
                  </mat-select>
                </div>
                <div class="col-xs-3 custom-position">
                  <mat-select class="form-control" multiple [(ngModel)]="activityType" placeholder="Activity Type">
                    <mat-option *ngFor="let model of activitySubList;" [value]="model">{{model}}</mat-option>
                  </mat-select>
                </div>
                <div class="col-xs-3 custom-position">
                  <input [(ngModel)]="selectedMoment" name="start_date" [max]="max" [owlDateTimeTrigger]="dtPicker1"
                    [owlDateTime]="dtPicker1" placeholder="Start Date" class="form-control"
                    (click)="checkShiftstartTime()">
                  <i aria-hidden="true" class="fa fa-calendar" style="font-size: 20px;float: right;" [owlDateTimeTrigger]="dtPicker1"
                    (click)="checkShiftstartTime()"></i>
                  <owl-date-time #dtPicker1></owl-date-time>
                </div>
                <div class="col-xs-3 custom-position">
                  <input [(ngModel)]="selectedMoment1" name="end_date" [min]="selectedMoment" [max]="max"
                    [owlDateTimeTrigger]="dtPicker2" [owlDateTime]="dtPicker2" placeholder="End Date"
                    class="form-control">
                  <i aria-hidden="true" class="fa fa-calendar" style="font-size: 20px;float: right;" [owlDateTimeTrigger]="dtPicker2"></i>
                  <owl-date-time #dtPicker2></owl-date-time>
                </div>
              </div>
              <br/>
              <div class="row">
                <div class="col-xs-3 custom-position">
                  <input matInput placeholder="Select User" class="form-control" name="user_id"
                    (ngModelChange)="searchUser($event)" [formControl]="user" aria-label="Customer"
                    [matAutocomplete]="Customer">
                  <mat-autocomplete #Customer="matAutocomplete" [displayWith]="displayFnUser">
                    <mat-option *ngFor="let user of userList" [value]="user">
                      <div class="option-otr">
                        <div class="option_span">Firstname:
                          <strong>{{ user.firstname }}</strong>
                        </div>
                        <div class="option_span">Email:
                          <strong>{{ user.email }}</strong>
                        </div>
                        <div class="option_span">Phone number:
                          <strong>{{ user.phone_number }}</strong>
                        </div>
                      </div>
                    </mat-option>
                    <mat-option *ngIf="userList?.length == 0">No Matches Found</mat-option>
                  </mat-autocomplete>
                </div>
                <div class="col-sm-3 col-md-3 text-center" *ngIf="disabledCompany">
                    <mat-select [(ngModel)]="company_id_list" (change)="setCompanyList($event);" placeholder="Company"
                        class="form-control" multiple>
                        <mat-option *ngFor="let company of companyData" [value]="company._id">{{company.company_name}}
                        </mat-option>
                    </mat-select>
                </div>
                <div class="col-xs-4">
                  <button type="get" (click)="searchUserlog();" class="btn btn-sm btn-primary blue">
                    <i aria-hidden="true" class="fa fa-search"></i>
                    Search
                  </button>
                  <button class="btn btn-sm btn-primary red" (click)="reset()">
                    <i aria-hidden="true" class="fa fa-eraser"></i>
                    Reset filters
                  </button>
                  <span matTooltip="CSV" style="cursor:pointer">
                    <img src="assets/img/csv.png" (click)="createCsv()"  alt="csv"/>
                  </span>
                </div>
                <br />
              </div>
              <br />
              <div class="table-responsive custom-table">
                <table aria-describedby="Manage Company" class="table table-striped table-bordered table-responsive zoom">
                  <thead>
                    <tr>
                      <th scope="col">
                        Account Information
                      </th>
                      <th scope="col">
                        API Endpoint
                      </th>
                      <th scope="col">
                        Activity
                      </th>
                      <th scope="col">
                        Response
                      </th>
                      <th scope="col" style="min-width: 250px;">
                        Attributes
                      </th>
                      <th scope="col">
                        Date & Time
                      </th>
                    </tr>
                  </thead>
                  <tbody>
                    <span *ngIf="searchSubmit">
                      <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
                    </span>
                    <tr *ngFor="let log of LogData; let i = index">
                      <td>
                        First name: {{log.user_id.firstname}}
                        <br> Last name: {{log.user_id.lastname}}
                        <br> Email: {{log.user_id.email}}
                      </td>
                      <td>
                        {{log.api_url}}
                      </td>
                      <td>
                        {{log.activity}}
                      </td>
                      <td class="text-center">
                        {{log.status}}<br/>
                        <button *ngIf="log.activityType=='edit' && log.response.length>0 && log.response[0].initialData && log.response[0].editedData && log.response[0].updatedData" class="btn btn-default" (click)="editLog(log.response[0])">Edit Log</button>
                      </td>
                      <td>
                        <tr *ngIf="log?.response.length>0 && log.response[0].reason"><td>Reason</td><td>: {{log.response[0].reason}}</td></tr>
                        <tr *ngIf="log?.response.length>0 && log.response[0].note"><td>Note</td><td>: {{log.response[0].note}}</td></tr>
                        <tr *ngIf="log?.response.length>0 && log.response[0].userDetails"><td>Browser</td><td>: {{log.response[0].userDetails.browser}} ({{log.response[0].userDetails.browser_version}})</td></tr>
                        <tr *ngIf="log?.response.length>0 && log.response[0].userDetails"><td>IP_Address</td><td>: {{log.response[0].userDetails.user_ip}}</td></tr>
                        <tr *ngIf="log?.response.length>0 && log.response[0].userDetails"><td>Latlong</td><td>: {{log.response[0].userDetails.user_lat}},{{log.response[0].userDetails.user_lng}}</td></tr>
                      </td>
                      <td>
                        {{log.created_at}}
                      </td>
                    </tr>
                  </tbody>
                </table>
                <br>
                <div class="container-fluid" *ngIf="LogDataLength > 0">
                  <div class="row col-md-12 text-center">
                    <div class="dataTables_info1">
                      <ngb-pagination [collectionSize]="LogDataLength" (pageChange)="pagingAgent($event)" [page]="pNo"
                        [pageSize]="pageSize" aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true">
                      </ngb-pagination>
                    </div>
                  </div>
                </div>
                <div class="container-fluid" *ngIf="LogDataLength==0">
                  <div class="row">
                    <div class="dataTables_info1">
                      <div class="col-md-12 text-center form-group">
                        No records found
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>